/* Page settings
   ========================================================================= */

html { height: 100%; }
body {
    height: 100%;
    display: flex;
    flex-direction: column;
}

/* Header and footer
   ========================================================================= */
body > header, body > footer {
    /* FIXME: check that these colors can work on light themes */
    box-shadow: 0px 0px 10px black;
    z-index: 1050;
}
body > header {
    margin-bottom: -10px;
    border-bottom: 1px solid #222;
}
body > footer {
    margin-top: -10px;
    border-top: 1px solid #222;
    flex-shrink: 0;
}

.expand {
    flex: 1 0 auto;
}

/* Navigation bar
   ========================================================================= */


.nav-item a, .nav-item button { transition: color 0.5s;}
.nav-item:hover a, .nav-item:hover button { color: white !important; }

.navbar { border: 0px !important; }
.navbar-brand { padding: 0px; }
.navbar-brand > img { height: 34px; }
.navbar-toggler { border: 0px; }
.navbar-collapse { margin: 0px 20px 0px 20px; }

button.nav-link {
    background: none!important;
    border: none;
    cursor: pointer;
}

/* Breadcrumbs
   ========================================================================= */

.breadcrumb { margin: 0; padding: 7px; }
.breadcrumb-item + .breadcrumb-item::before {
    padding-right: 0.2rem;
}
.breadcrumbs {
    padding: 20px 10px 5px 10px;
    margin: 0px 0px 20px 0px;
}
.breadcrumb-item a {
    line-height: 1.5px;
}

/* Contents
   ========================================================================= */

.contents {
    margin: 0px;
    padding: 10px 10px 20px 10px;
}

hr {
    margin-top: 0;
    margin-bottom: 1rem;
    border: 1px dotted #666;
}

p {
    text-align: justify ;
}
/* Special effects
   ========================================================================= */

a > img { opacity: 0.7; transition: opacity 0.2s; }
a:hover > img { opacity: 1; }
li .list-actions { opacity: 0.1; }
li:hover .list-actions { opacity: 1.0; }

/* Editor
   ========================================================================= */

.django-ckeditor-widget {
    display: block !important;
}
